using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/CCJump.svg")]
  public partial class EarthGravityStrength:GravityStrength
  {
    [Export]
    public float multiply = 1f;

    public override float GetGravityStrength( Gravity gravity )
    {
      return Gravity.EarthGravity * multiply;
    }
  }
}